> For the complete documentation index, see [llms.txt](https://40factory.gitbook.io/wilson/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://40factory.gitbook.io/wilson/3.11/rest-api/bots.md).

# Bots

- [List bots](https://40factory.gitbook.io/wilson/3.11/rest-api/bots/list-bots.md): This endpoint retrieves a list of bots.
- [Create bot](https://40factory.gitbook.io/wilson/3.11/rest-api/bots/create-bot.md): This endpoint allows to create a new bot.
- [Get bot](https://40factory.gitbook.io/wilson/3.11/rest-api/bots/get-bot.md): This endpoint allows to get a bot identified by the \<bot\_id>.
- [Edit bot](https://40factory.gitbook.io/wilson/3.11/rest-api/bots/edit-bot.md): This endpoint allows to edit some attributes of a bot identified by the \<bot\_id>.
- [Delete bot](https://40factory.gitbook.io/wilson/3.11/rest-api/bots/delete-bot.md): This endpoint allows to delete a bot identified by the \<bot\_id>.
- [Duplicate bot](https://40factory.gitbook.io/wilson/3.11/rest-api/bots/duplicate-bot.md): This endpoint allows to duplicate a bot identified by the \<bot\_id>.
- [Set bot as default](https://40factory.gitbook.io/wilson/3.11/rest-api/bots/set-bot-as-default.md): This endpoint allows to set a bot identified by the \<bot\_id> as the default bot.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://40factory.gitbook.io/wilson/3.11/rest-api/bots.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
